﻿
local HomeVJR = foundation.createMod();

HomeVJR:log("Hello World: myHome V4")
--HomeVJR:logWarning("This is a warning!")
--HomeVJR:logError("This is an error!")
--HomeVJR:msgBox("homeVJR: Hello there V4")

if (foundation.getGameVersion == nil or version.cmp(foundation.getGameVersion(), "1.6.14") < 0) then
    HomeVJR:log("Hello World: game version anterior to 1.6.14")
else
    HomeVJR:log("Hello World: game version " .. foundation.getGameVersion())

    -- Common BuildingPart
    _HomePrefix = "HOME_VJR_V4"

    HomeVJR:registerEnumValue ("BUILDING_PART_TYPE", "EXTENSION")
    HomeVJR:registerEnumValue ("BUILDING_PART_TYPE", "DECORATION")

    HomeVJR:dofile("scripts/building.lua")

    -- additions to the vanilla housing system
    HomeVJR:dofile("scripts/random.lua")

    -- Monument for manual setting 
    HomeVJR:dofile("scripts/monument.lua")
end